Bug 1471510 - Icon doesn't reflect VPN status
Icon doesn't reflect VPN status
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: network-manager-applet (Show other bugs)
26
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-16 10:16 EDT by Douglas
Modified: 2017-09-30 02:45 EDT (History)
9 users (show)

See Also:
Fixed In Version: network-manager-applet-1.8.2-4.fc26 network-manager-applet-1.8.4-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-30 02:45:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screencast of the behaviour (268.71 KB, video/mp4)
2017-08-05 14:36 EDT, Experimenter
no flags Details
[PATCH] applet: fix status icon when a VPN has the default route (2.43 KB, patch)
2017-08-10 11:11 EDT, Beniamino Galvani
no flags Details | Diff
patch is good (1.06 KB, image/png)
2017-08-18 05:35 EDT, Ionut Radu
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 785775 None None None 2017-08-10 15:15 EDT

  None (edit)
Description Douglas 2017-07-16 10:16:47 EDT
Description of problem:
When a connection to VPN is established, the icon changes to a "disconnected" status, even though I'm connected to internet and VPN is working. When not connected to VPN, the network icon shows wifi status normally.

How reproducible:
Always.

Steps to Reproduce:
1. Connect to VPN through Network Manager, not through any third party app.
2. Wait for it to connect successfully.

Actual results:
The icon shows two computer screens and an "X" in front of them, meaning "disconnected". While connecting to VPN, the loading animation plays normally.

Expected results:
An icon for "VPN connected" which has a yellow lock in front of wifi bars should appear upon connection to VPN.

Additional info:
I haven't installed or changed icon themes.
I'm running the MATE spin of Fedora 26.
Comment 1 Beniamino Galvani 2017-07-19 10:51:21 EDT
What's the output of "nmcli general; nmcli connection; nmcli device"?
Comment 2 Douglas 2017-07-19 11:31:23 EDT
nmcli general
STATE     CONNECTIVITY  HW-WIFI     WIFI        HW-WWAN     WWAN       
connected  full         enabled     enabled     enabled     enabled 

nmcli connection
NOME                     UUID                                  TIPO             DISPOSITIVO 
<my SSID> 1              e4482b57-3698-419e-87bf-1fc0406d1f5c  802-11-wireless  wlp1s0      
PIA - Brazil             745bb493-1101-4916-9cc4-921ed739448f  vpn              wlp1s0      
tun0                     6307b32e-d7ad-42b5-a16a-773bdfe96d70  tun              tun0        
PIA - AU Melbourne       ac3a879d-73b0-4c0c-82cf-5dcec07e5b6d  vpn              --          
PIA - AU Sydney          f9d69a67-1b7d-4321-af81-92c0729e2549  vpn              --          
PIA - CA Montreal        c5a6af6c-dcbe-4b22-9203-a9fcdd7d3483  vpn              --          
PIA - CA Toronto         62f5aee6-1226-4bb3-8eaf-8377ff00bd3a  vpn              --          
PIA - Denmark            7d2f0be9-4ba1-4535-9c1c-846139e0c144  vpn              --          
PIA - Finland            91571534-154f-4197-8ce3-2fedcfac8947  vpn              --          
PIA - France             94624e88-37f5-4513-b52d-8d58cf68a420  vpn              --          
PIA - Germany            c33aa9b8-9e49-4a69-9bfd-04afa4ecf9fd  vpn              --          
PIA - Hong Kong          9251b2fb-95ae-4962-97a2-76e4d3aff674  vpn              --          
PIA - India              34e77d33-f834-48e6-a847-ad6d36122783  vpn              --          
PIA - Ireland            2e899fd9-b1e8-42d7-9e2d-ed63d9eb172f  vpn              --          
PIA - Israel             4bc464fa-bdf8-42a3-8f42-398a762a37aa  vpn              --          
PIA - Italy              4c332414-a4d5-44cb-9521-d01c22ea970c  vpn              --          
PIA - Japan              c00170e0-4cf8-4f7d-bd7d-01c9ad7d8f91  vpn              --          
PIA - Mexico             bd9f2cf3-bcdc-4b40-a74e-85ff51547e55  vpn              --          
PIA - Netherlands        560cf870-1849-462d-9b1e-9b2cd605bec3  vpn              --          
PIA - New Zealand        ba6fc549-0740-473f-a1ac-8a6ee7cfc056  vpn              --          
PIA - Norway             350c48bd-bf3b-44d1-9b0e-16e13488d3f2  vpn              --          
PIA - Romania            f5bacdd5-77dc-4dc8-a3ff-1bd87d99f4a6  vpn              --          
PIA - Singapore          068d7be8-685a-42e7-9c53-d7613d34b37d  vpn              --          
PIA - South Korea        8f4276ea-1332-451d-ade5-b893b50c3da9  vpn              --          
PIA - Sweden             5b525f35-14ee-4dda-990a-21533e222190  vpn              --          
PIA - Switzerland        23af9401-e80d-4c5b-92bc-378b723ba6c0  vpn              --          
PIA - Turkey             f29cd8f1-055d-487a-996d-a680033dad6d  vpn              --          
PIA - UK London          ae77d808-45bc-453a-aa89-de08eabadf16  vpn              --          
PIA - UK Southampton     44c05b3c-a7d8-4e89-bbae-639c5188fa81  vpn              --          
PIA - US California      b1be9f00-7982-4ba2-b124-ee494d251dc0  vpn              --          
PIA - US Chicago         c9c4b4fc-a976-47cf-bbf1-f29744984099  vpn              --          
PIA - US East            b0743d80-0804-4334-a95f-27c9b769181d  vpn              --          
PIA - US Florida         4063ead1-0817-45d0-bcde-6910e7343aa9  vpn              --          
PIA - US Midwest         0f253c8a-b890-43d9-b6ed-40bf2829c677  vpn              --          
PIA - US New York City   9a1a51a7-2ff8-4af7-b137-883b1c34f8fb  vpn              --          
PIA - US Seattle         8ad5aa03-fde4-42e6-bb33-5a5875108fd4  vpn              --          
PIA - US Silicon Valley  26835811-e95d-4508-8b0b-f46665a38c40  vpn              --          
PIA - US Texas           74ab825d-93de-429d-a0c2-a69572032c85  vpn              --          
PIA - US West            37d97874-78a3-4f5c-b385-79e44ed3bc09  vpn              --


nmcli device
DEVICE       TYPE      STATE            CONNECTION         
tun0         tun       connected        tun0            
wlp1s0       wifi      connected        <my SSID> 1 
lo           loopback  not manageable   --

NOTE: Output translated to English.
Comment 3 Experimenter 2017-08-05 14:36 EDT
Created attachment 1309480 [details]
Screencast of the behaviour

Changing themes has no effect. On successful connection to VPN the icon changes to disconnected across all themes.
Comment 4 Beniamino Galvani 2017-08-10 11:11 EDT
Created attachment 1311818 [details]
[PATCH] applet: fix status icon when a VPN has the default route
Comment 5 Thomas Haller 2017-08-10 12:01:02 EDT
(In reply to Beniamino Galvani from comment #4)
> Created attachment 1311818 [details]
> [PATCH] applet: fix status icon when a VPN has the default route

lgtm
Comment 7 Ionut Radu 2017-08-18 05:35 EDT
Created attachment 1315148 [details]
patch is good


I've applied the patch and it's good.
Comment 8 Fedora Update System 2017-09-18 12:08:20 EDT
network-manager-applet-1.8.2-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d45f5c7976
Comment 9 Fedora Update System 2017-09-19 00:22:13 EDT
network-manager-applet-1.8.2-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d45f5c7976
Comment 10 Fedora Update System 2017-09-20 10:08:26 EDT
network-manager-applet-1.8.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f390fdf7b2
Comment 11 Fedora Update System 2017-09-21 19:53:31 EDT
network-manager-applet-1.8.2-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2017-09-21 19:57:22 EDT
network-manager-applet-1.8.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f390fdf7b2
Comment 13 Fedora Update System 2017-09-30 02:45:02 EDT
network-manager-applet-1.8.4-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.